/*@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');*/
/*@import url('css/bootstrap/bootstrap.min.css');*/
@import url('css/sap-icons/sap-icons.min.css');
@import url('css/icofont/icofont.min.css');

@import url('/_content/DevExpress.Blazor/dx-blazor.css');
@import url('/_content/Blazored.Toast/blazored-toast.css');

@import url('css/switcher-resources/themes.css');
@import url('css/switcher-resources/theme-switcher.css');


/*
.cs-document-layout {
    margin: -1.5rem !important;
}*/

.btn-check:before {
    content: "\eed8";
    font-family: 'IcoFont';
    display: inline-block;
    vertical-align: top;
    margin-right: 0.3em;
}

/*Ademas visualizar el puntero en todos los elementos de collapse, soluciona limitación en los iphone cuando el elemento un es un <a>*/
    [data-toggle~="collapse"] {
    cursor: pointer;

}
.cs-toggler[data-toggle~="collapse"][aria-expanded="true"]:before {
    font-family: 'icofont';
    content: "\eaa1";
    float: right;
    /*transition: all 0.5s;*/
}
.cs-toggler[data-toggle~="collapse"][aria-expanded="false"]:before {
    font-family: 'icofont';
    content: "\ea99";
    float: right;
    /*transform: rotate(180deg);*/
}
/*.cs-toggler[aria-expanded="true"]:before {
    
}*/

.col-form-label-sm {
    line-height: 1 !important;
}


.form-group > .col-form-label-sm {
    padding-right: 4px; /*quitar padding a la etiqueta*/
}

.form-group {
    margin-bottom: 6px !important;
    /*color: #000000 !important;*/
}

.form-control {
    box-shadow: none; /*sin !important sino en el focus no sale el borde*/
    border: 1px solid #bfbfbf;
}
.form-control-sm {
    height: 1.625rem; /*calc(1.5em+.5rem);*/
    border-radius: 0px !important;
}

/*Los combobox de devexpress son en realidad un input text readonly y a parecen pintados en gris*/
.dxbs-combobox .dx-reset-readonly-style.form-control[readonly] {
    background-color: #fff !important;
}

#navbar-menu > nav > ul > li.nav-item > a.nav-link {
    border-bottom: 1px solid #d5d2d2 !important;
    color: black;
}


.dxbs-ta-title {
    font-weight: bold;
}

.sap-table > div.card {
    background-color: transparent;
    border: 0 !important;
}

.sap-table table {
    background-color: white !important;
    border: 1px solid rgba(0,0,0,0.125) !important;
}

    .sap-table table th {
        border-right: 0px !important;
        border-left: 0px !important;
        background-color: #f7f7f7 !important;
    }

    .sap-table table td {
        border-right: 0px !important;
        border-left: 0px !important;
    }



.csColorInherit {
    color: inherit;
}

/* Los Inputs dentro de un parent 'dark' se visualizarán con otro estilo. Aplicado espacial para los combobox*/
.bg-dark input, .bg-dark .dxbs-combobox .dx-reset-readonly-style.form-control[readonly] {
    border: 1px solid #7891a7;
    background: #495e70 !important;
    color: white !important;
}

/* Los checkbox Switch dendto de Dark*/
.custom-control-input:checked ~ .custom-control-label::before {    
    background-color: #495e70 !important;
}

/*Reducir el margen en el menu de DevExpress (Tree) */
.dxbs-tree > ul.nav ul.nav {
    margin: 0.2em 0 0.2em 0.8em !important;
}
/*Titulo de los ToobBar de DevExpress en Negrita*/
/*
.dxbs-ta-title {
    font-weight: bold;
}*/

.cs-UiHyphenation {
    -webkit-hyphens: auto;
    -moz-hyphens: auto;
    hyphens: auto;
}

.blazored-toast-container {
    z-index: 9999!important;
}
/* app.css */
#apptitle {
    position: absolute;
    top: 0.80rem;
    bottom: 0;
    left: 50%;
    font-size: 1.125rem;
}

.loader .loader-inner {
    bottom: 0;
    left: 0;
    margin: auto;
    position: absolute;
    right: 0;
    top: 0;
    width: 100px;
    height: 60px;
    z-index: 900
}

.loader .loader-line-wrap {
    animation: loader-spin 2000ms cubic-bezier(0.175, 0.885, 0.32, 1.275) infinite;
    box-sizing: border-box;
    height: 50px;
    left: 0;
    overflow: hidden;
    position: absolute;
    top: 0;
    transform-origin: 50% 100%;
    width: 100px
}

.loader .loader-line {
    border: 4px solid transparent;
    border-radius: 100%;
    box-sizing: border-box;
    height: 100px;
    left: 0;
    margin: 0 auto;
    position: absolute;
    right: 0;
    top: 0;
    width: 100px
}

.loader .loader-line-wrap:nth-child(1) {
    animation-delay: -50ms
}

.loader .loader-line-wrap:nth-child(2) {
    animation-delay: -100ms
}

.loader .loader-line-wrap:nth-child(3) {
    animation-delay: -150ms
}

.loader .loader-line-wrap:nth-child(4) {
    animation-delay: -200ms
}

.loader .loader-line-wrap:nth-child(5) {
    animation-delay: -250ms
}

.loader .loader-line-wrap:nth-child(1) .loader-line {
    height: 90px;
    width: 90px;
    top: 7px
}

.loader .loader-line-wrap:nth-child(2) .loader-line {
    height: 76px;
    width: 76px;
    top: 14px
}

.loader .loader-line-wrap:nth-child(3) .loader-line {
    height: 62px;
    width: 62px;
    top: 21px
}

.loader .loader-line-wrap:nth-child(4) .loader-line {
    height: 48px;
    width: 48px;
    top: 28px
}

.loader .loader-line-wrap:nth-child(5) .loader-line {
    height: 34px;
    width: 34px;
    top: 35px
}

@keyframes loader-spin {
    0%,15% {
        transform: rotate(0)
    }

    100% {
        transform: rotate(360deg)
    }
}
/*
.navbar-right-menu, .navbar-left-menu {
    width: 250px;
    position: fixed;
    top: 56px;
    left: -250px;
    height: calc(100vh - 56px);
    z-index: 10;
    transition: all 0.3s;
    overflow: auto
}
*/
    .navbar-right-menu.show, .navbar-left-menu.show {
        left: 0
    }

.navbar-right-menu {
    left: auto;
    right: -250px
}

    .navbar-right-menu.show {
        left: auto;
        right: 0
    }
/*
.navbar-left-menu.show ~ .wrapper {
    margin-left: 250px
}*/

.navbar-right-menu.show ~ .wrapper {
    margin-right: 250px
}

.wrapper {
    transition: all 0.3s
}

#badge-notifications {
    position: absolute;
    top: 8px;
    right: 8px;
    font-size: 60%
}

#header-info {
    max-width: 400px
}

#navbar-top {
    position: sticky;
    position: -webkit-sticky;
    top: 0;
    z-index: 910
}

#header-menu-left {
    position: sticky;
    top: 120px
}
/*
#header-menu-right {
    position: sticky;
    top: 0px;
    z-index: 10
}*/

/*.wrapper header {
    background: #2b4964 linear-gradient(0deg, #4b647b, #2b4964) repeat-x !important;
    position: sticky;
    top: -160px;
    z-index: 100;*/
    /*min-height: 115px*/
/*}

.wrapper footer {
    position: sticky;
    bottom: 5px;
    z-index: 910
}*/

nav.navbar .navbar-brand {
    transition: all 0.3s
}

    nav.navbar .navbar-brand:hover {
        background-color: rgba(222,222,222,0.3)
    }

a, button {
    transition: all 0.3s
}

.header-section-arrows {
    font-size: 1.25rem
}

    .header-section-arrows a {
        display: inline-block;
        text-decoration: none
    }

        .header-section-arrows a:hover {
            text-decoration: none
        }

        .header-section-arrows a:first-child, .header-section-arrows a:last-child {
            transform: rotate(90deg)
        }

.rc-handle-container {
    position: relative
}

.rc-handle {
    position: absolute;
    width: 7px;
    cursor: ew-resize;
    margin-left: -3px;
    z-index: 2
}

table.rc-table-resizing {
    cursor: ew-resize
}

    table.rc-table-resizing thead, table.rc-table-resizing thead > th, table.rc-table-resizing thead > th > a {
        cursor: ew-resize
    }




/*Accent Colors
Secondary colors can be applied to accentuate important elements. They make a vivid contribution to the overall UI and should be used sparingly.*/

.cs-Accent1 {
    background-color: #d08014;
}

.cs-Accent2 {
    background-color: #d04343;
}

.cs-Accent3 {
    background-color: #db1f77;
}

.cs-Accent4 {
    background-color: #c0399f;
}

.cs-Accent5 {
    background-color: #6367de;
}

.cs-Accent6 {
    background-color: #286eb4;
}

.cs-Accent7 {
    background-color: #0f828f;
}

.cs-Accent8 {
    background-color: #7ca10c;
}

.cs-Accent9 {
    background-color: #925ace;
}

.cs-Accent10 {
    background-color: #647987;
}

/* Anulamos estilo DevExpress(.dx-image) para que aparezca el icono centrado*/
.cs-choosefromlist-image-restart {
    height: auto !important;
}
